diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-pss-ff-mac-scheduler.cc ns-3.38/src/lte/test/lte-test-pss-ff-mac-scheduler.cc
--- ns-3.37/src/lte/test/lte-test-pss-ff-mac-scheduler.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-pss-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
@@ -81,7 +81,7 @@
     //    UDP traffic: payload size = 200 bytes, interval = 1 ms
     //    UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) *
     //    1000 byte/sec -> 232000 byte/rate
-    //  Totol bandwidth: 24 PRB at Itbs 26 -> 2196 -> 2196000 byte/sec
+    //  Total bandwidth: 24 PRB at Itbs 26 -> 2196 -> 2196000 byte/sec
     //  1 user -> 232000 * 1 = 232000 < 2196000 -> throughput = 232000 byte/sec
     //  3 user -> 232000 * 3 = 696000 < 2196000 -> througphut = 232000 byte/sec
     //  6 user -> 232000 * 6 = 139200 < 2196000 -> throughput = 232000 byte/sec
@@ -106,7 +106,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 20 -> 1383 -> 1383000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 20 -> 1383 -> 1383000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 1383000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 < 1383000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 139200 > 1383000 -> throughput = 1383000 / 6 = 230500 byte/sec
@@ -132,7 +132,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 1191000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 < 1191000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 1392000 > 1191000 -> throughput = 1191000 / 6 = 198500 byte/sec
@@ -159,7 +159,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 775000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 > 775000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 139200 > 775000 -> throughput = 775000 / 6 = 129166 byte/sec
@@ -258,6 +258,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestPssFfMacSchedulerSuite lenaTestPssFfMacSchedulerSuite;
 
 // --------------- T E S T - C A S E   # 1 ------------------------------
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-pss-ff-mac-scheduler.h ns-3.38/src/lte/test/lte-test-pss-ff-mac-scheduler.h
--- ns-3.37/src/lte/test/lte-test-pss-ff-mac-scheduler.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-pss-ff-mac-scheduler.h	2023-03-16 20:54:23.784869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -66,7 +65,7 @@
     /**
      * Builds the test name string based on provided parameter values
      * \param nUser the number of UE nodes
-     * \param dist the distnace between nodes
+     * \param dist the distance between nodes
      * \returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, double dist);
@@ -82,9 +81,8 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
- * \brief Simillar to the LenaPssFfMacSchedulerTestCase1 with the difference that
+ * \brief Similar to the LenaPssFfMacSchedulerTestCase1 with the difference that
  * UEs are places in such a way to experience different SINRs. Test checks if the
  * achieved throughput in such conditions has expected value.
  */
@@ -111,7 +109,7 @@
     /**
      * Builds the test name string based on provided parameter values
      * \param nUser the number of UE nodes
-     * \param dist the distnace between nodes
+     * \param dist the distance between nodes
      * \returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, std::vector<double> dist);
@@ -126,7 +124,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lena Pss Ff Mac Scheduler Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-radio-link-failure.cc ns-3.38/src/lte/test/lte-test-radio-link-failure.cc
--- ns-3.37/src/lte/test/lte-test-radio-link-failure.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-radio-link-failure.cc	2023-03-16 20:54:23.784869000 -0700
@@ -115,6 +115,10 @@
 
 } // end of LteRadioLinkFailureTestSuite::LteRadioLinkFailureTestSuite ()
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteRadioLinkFailureTestSuite g_lteRadioLinkFailureTestSuite;
 
 /*
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-rlc-am-e2e.cc ns-3.38/src/lte/test/lte-test-rlc-am-e2e.cc
--- ns-3.37/src/lte/test/lte-test-rlc-am-e2e.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-rlc-am-e2e.cc	2023-03-16 20:54:23.784869000 -0700
@@ -47,9 +47,11 @@
     // NS_LOG_INFO ("Creating LteRlcAmE2eTestSuite");
 
     double losses[] = {0.0, 0.05, 0.10, 0.15, 0.25, 0.50, 0.75, 0.90, 0.95};
-    uint32_t runs[] = {1111,  2222,  3333,  4444,  5555,  6666,  7777,  8888,  9999,  11110,
-                       12221, 13332, 14443, 15554, 16665, 17776, 18887, 19998, 21109, 22220,
-                       23331, 24442, 25553, 26664, 27775, 28886, 29997, 31108, 32219, 33330};
+    uint32_t runs[] = {
+        1111,  2222,  3333,  4444,  5555,  6666,  7777,  8888,  9999,  11110,
+        12221, 13332, 14443, 15554, 16665, 17776, 18887, 19998, 21109, 22220,
+        23331, 24442, 25553, 26664, 27775, 28886, 29997, 31108, 32219, 33330,
+    };
 
     for (uint32_t l = 0; l < (sizeof(losses) / sizeof(double)); l++)
     {
@@ -96,6 +98,10 @@
     }
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteRlcAmE2eTestSuite lteRlcAmE2eTestSuite;
 
 LteRlcAmE2eTestCase::LteRlcAmE2eTestCase(std::string name,
@@ -264,7 +270,7 @@
     //      retransmitted is much lower. This effect can be best noteed
     //      at very high loss rates, and can be adjusted by timers and
     //      params.
-    //   2) throuhgput is not meaningful, you need to evaluate the time
+    //   2) throughput is not meaningful, you need to evaluate the time
     //      it takes for all PDUs to be (re)transmitted successfully,
     //      i.e., how long it takes for the TX and reTX queues to deplete.
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-rlc-am-e2e.h ns-3.38/src/lte/test/lte-test-rlc-am-e2e.h
--- ns-3.37/src/lte/test/lte-test-rlc-am-e2e.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-rlc-am-e2e.h	2023-03-16 20:54:23.784869000 -0700
@@ -33,7 +33,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for RlcAmE2e test case.
  */
@@ -45,7 +44,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * Test cases used for the test suite lte-rlc-am-e2e. See the testing section of
  * the LTE module documentation for details.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-rlc-am-transmitter.cc ns-3.38/src/lte/test/lte-test-rlc-am-transmitter.cc
--- ns-3.37/src/lte/test/lte-test-rlc-am-transmitter.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-rlc-am-transmitter.cc	2023-03-16 20:54:23.784869000 -0700
@@ -47,6 +47,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteRlcAmTransmitterTestSuite lteRlcAmTransmitterTestSuite;
 
 LteRlcAmTransmitterTestCase::LteRlcAmTransmitterTestCase(std::string name)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-rlc-am-transmitter.h ns-3.38/src/lte/test/lte-test-rlc-am-transmitter.h
--- ns-3.37/src/lte/test/lte-test-rlc-am-transmitter.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-rlc-am-transmitter.h	2023-03-16 20:54:23.784869000 -0700
@@ -38,7 +38,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief TestSuite 4.1.1 RLC AM: Only transmitter functionality.
  */
@@ -50,7 +49,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test case used by LteRlcAmTransmitterOneSduTestCase to create topology
  * and to implement functionalities and check if data received corresponds to
@@ -71,7 +69,7 @@
     /**
      * Check data received function
      * \param time the time to check
-     * \param shouldReceived shoul dhave received indicator
+     * \param shouldReceived should have received indicator
      * \param assertMsg the assert message
      */
     void CheckDataReceived(Time time, std::string shouldReceived, std::string assertMsg);
@@ -86,7 +84,7 @@
   private:
     /**
      * Check data received function
-     * \param shouldReceived shoul dhave received indicator
+     * \param shouldReceived should have received indicator
      * \param assertMsg the assert message
      */
     void DoCheckDataReceived(std::string shouldReceived, std::string assertMsg);
@@ -94,7 +92,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 4.1.1.1 Test that SDU transmitted at PDCP corresponds to PDU
  * received by MAC.
@@ -117,7 +114,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 4.1.1.2 Test the correct functionality of the Segmentation.
  * Test check that single SDU is properly segmented to n PDUs.
@@ -140,7 +136,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 4.1.1.3 Test that concatenation functionality works properly.
  * Test check if n SDUs are correctly contactenate to single PDU.
@@ -163,7 +158,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 4.1.1.4 Test checks functionality of Report Buffer Status by
  * testing primitive parameters.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-rlc-um-e2e.cc ns-3.38/src/lte/test/lte-test-rlc-um-e2e.cc
--- ns-3.37/src/lte/test/lte-test-rlc-um-e2e.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-rlc-um-e2e.cc	2023-03-16 20:54:23.784869000 -0700
@@ -75,6 +75,10 @@
     }
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteRlcUmE2eTestSuite lteRlcUmE2eTestSuite;
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-rlc-um-e2e.h ns-3.38/src/lte/test/lte-test-rlc-um-e2e.h
--- ns-3.37/src/lte/test/lte-test-rlc-um-e2e.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-rlc-um-e2e.h	2023-03-16 20:54:23.784869000 -0700
@@ -32,7 +32,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for RlcUmE2eTestCase
  */
@@ -44,7 +43,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test end-to-end flow when RLC UM is being used.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-rlc-um-transmitter.cc ns-3.38/src/lte/test/lte-test-rlc-um-transmitter.cc
--- ns-3.37/src/lte/test/lte-test-rlc-um-transmitter.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-rlc-um-transmitter.cc	2023-03-16 20:54:23.784869000 -0700
@@ -49,6 +49,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteRlcUmTransmitterTestSuite lteRlcUmTransmitterTestSuite;
 
 LteRlcUmTransmitterTestCase::LteRlcUmTransmitterTestCase(std::string name)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-rlc-um-transmitter.h ns-3.38/src/lte/test/lte-test-rlc-um-transmitter.h
--- ns-3.37/src/lte/test/lte-test-rlc-um-transmitter.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-rlc-um-transmitter.h	2023-03-16 20:54:23.784869000 -0700
@@ -38,7 +38,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief TestSuite 4.1.1 for RLC UM: Only transmitter part.
  */
@@ -50,7 +49,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test case used by LteRlcUmTransmitterOneSduTestCase to create topology
  * and to implement functionalities and check if data received corresponds to
@@ -71,7 +69,7 @@
     /**
      * Check data received function
      * \param time the time to check
-     * \param shouldReceived shoul dhave received indicator
+     * \param shouldReceived should have received indicator
      * \param assertMsg the assert message
      */
     void CheckDataReceived(Time time, std::string shouldReceived, std::string assertMsg);
@@ -94,7 +92,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 4.1.1.1 One SDU, One PDU
  */
@@ -116,7 +113,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 4.1.1.2 Segmentation (One SDU => n PDUs)
  */
@@ -138,7 +134,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 4.1.1.3 Concatenation (n SDUs => One PDU)
  */
@@ -160,7 +155,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 4.1.1.4 Report Buffer Status (test primitive parameters)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-rr-ff-mac-scheduler.cc ns-3.38/src/lte/test/lte-test-rr-ff-mac-scheduler.cc
--- ns-3.37/src/lte/test/lte-test-rr-ff-mac-scheduler.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-rr-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
@@ -176,6 +176,10 @@
     AddTestCase(new LenaRrFfMacSchedulerTestCase(1, 100000, 0, 0, errorModel), TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestRrFfMacSchedulerSuite lenaTestRrFfMacSchedulerSuite;
 
 std::string
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-rr-ff-mac-scheduler.h ns-3.38/src/lte/test/lte-test-rr-ff-mac-scheduler.h
--- ns-3.37/src/lte/test/lte-test-rr-ff-mac-scheduler.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-rr-ff-mac-scheduler.h	2023-03-16 20:54:23.784869000 -0700
@@ -27,7 +27,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * This system test program creates different test cases with a single eNB and
@@ -75,7 +74,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for RrFfMacScheduler test
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-secondary-cell-handover.cc ns-3.38/src/lte/test/lte-test-secondary-cell-handover.cc
--- ns-3.37/src/lte/test/lte-test-secondary-cell-handover.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-secondary-cell-handover.cc	2023-03-16 20:54:23.784869000 -0700
@@ -39,7 +39,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test measurement-based handover to secondary cell.
  */
@@ -196,7 +195,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief LTE measurement-based handover to secondary cell test suite.
  */
@@ -213,4 +211,8 @@
     AddTestCase(new LteSecondaryCellHandoverTestCase("Real RRC", false), TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteSecondaryCellHandoverTestSuite g_lteSecondaryCellHandoverTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-secondary-cell-selection.cc ns-3.38/src/lte/test/lte-test-secondary-cell-selection.cc
--- ns-3.37/src/lte/test/lte-test-secondary-cell-selection.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-secondary-cell-selection.cc	2023-03-16 20:54:23.784869000 -0700
@@ -67,6 +67,10 @@
 
 } // end of LteSecondaryCellSelectionTestSuite::LteSecondaryCellSelectionTestSuite ()
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteSecondaryCellSelectionTestSuite g_lteSecondaryCellSelectionTestSuite;
 
 /*
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-spectrum-value-helper.cc ns-3.38/src/lte/test/lte-test-spectrum-value-helper.cc
--- ns-3.37/src/lte/test/lte-test-spectrum-value-helper.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-spectrum-value-helper.cc	2023-03-16 20:54:23.784869000 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test checks if lte spectrum model is generated properly. Different
  * test cases are configured by defining different frequency and banwidth.
@@ -41,7 +40,7 @@
      *
      * \param str the test reference name
      * \param earfcn the central carrier frequency
-     * \param bw bandwidth tha bandwidth
+     * \param bw bandwidth the bandwidth
      * \param fcs the expected spectrum model
      */
     LteSpectrumModelTestCase(const char* str, uint16_t earfcn, uint8_t bw, std::vector<double> fcs);
@@ -82,7 +81,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test that the function for creation of LTE noise power spectral
  * density is working properly.
@@ -144,7 +142,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test that the funtcion for the creation of the Lte transmission power
  * spectral density is working as expected.
@@ -210,7 +207,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for LteSpectrumValueHelper. Test suite is
  * checking different functionalities of LteSpectrumValueHelper.
@@ -221,6 +217,10 @@
     LteSpectrumValueHelperTestSuite();
 };
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteSpectrumValueHelperTestSuite g_lteSpectrumValueHelperTestSuite;
 
 LteSpectrumValueHelperTestSuite::LteSpectrumValueHelperTestSuite()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc ns-3.38/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc
--- ns-3.37/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
@@ -194,6 +194,10 @@
         TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestTdBetFfMacSchedulerSuite lenaTestTdBetFfMacSchedulerSuite;
 
 // --------------- T E S T - C A S E   # 1 ------------------------------
@@ -524,7 +528,7 @@
      */
     for (int i = 0; i < m_nUser; i++)
     {
-        double thrRatio = (double)1 / m_nUser;
+        double thrRatio = 1.0 / m_nUser;
         double estThrRatio = (double)dlDataRxed.at(i) / totalData;
         NS_LOG_INFO("\tUser " << i << " thrRatio " << thrRatio << " estThrRatio " << estThrRatio);
         NS_TEST_ASSERT_MSG_EQ_TOL(estThrRatio, thrRatio, tolerance, " Unfair Throughput!");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-tdbet-ff-mac-scheduler.h ns-3.38/src/lte/test/lte-test-tdbet-ff-mac-scheduler.h
--- ns-3.37/src/lte/test/lte-test-tdbet-ff-mac-scheduler.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-tdbet-ff-mac-scheduler.h	2023-03-16 20:54:23.784869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -62,7 +61,7 @@
     /**
      * Builds the test name string based on provided parameter values
      * \param nUser the number of UE nodes
-     * \param dist the distnace between UE nodes and eNodeB
+     * \param dist the distance between UE nodes and eNodeB
      * \returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, double dist);
@@ -76,7 +75,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lena TdBet Ff Mac Scheduler Test Case
  */
@@ -115,7 +113,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for TdBetFfMacScheduler tests.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc ns-3.38/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc
--- ns-3.37/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
@@ -169,6 +169,10 @@
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(1, 100000, 0, 0, errorModel), TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestTdMtFfMacSchedulerSuite lenaTestTdMtFfMacSchedulerSuite;
 
 // --------------- T E S T - C A S E ------------------------------
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-tdmt-ff-mac-scheduler.h ns-3.38/src/lte/test/lte-test-tdmt-ff-mac-scheduler.h
--- ns-3.37/src/lte/test/lte-test-tdmt-ff-mac-scheduler.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-tdmt-ff-mac-scheduler.h	2023-03-16 20:54:23.784869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -62,7 +61,7 @@
     /**
      * Builds the test name string based on provided parameter values
      * \param nUser the number of UE nodes
-     * \param dist the distnace between nodes
+     * \param dist the distance between nodes
      * \returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, double dist);
@@ -76,7 +75,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for TdMtFfMacScheduler tests.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc ns-3.38/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc
--- ns-3.37/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
@@ -81,7 +81,7 @@
     //    UDP traffic: payload size = 200 bytes, interval = 1 ms
     //    UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) *
     //    1000 byte/sec -> 232000 byte/rate
-    //  Totol bandwidth: 24 PRB at Itbs 26 -> 2196 -> 2196000 byte/sec
+    //  Total bandwidth: 24 PRB at Itbs 26 -> 2196 -> 2196000 byte/sec
     //  1 user -> 232000 * 1 = 232000 < 2196000 -> throughput = 232000 byte/sec
     //  3 user -> 232000 * 3 = 696000 < 2196000 -> througphut = 232000 byte/sec
     //  6 user -> 232000 * 6 = 139200 < 2196000 -> throughput = 232000 byte/sec
@@ -105,7 +105,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 20 -> 1383 -> 1383000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 20 -> 1383 -> 1383000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 1383000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 < 1383000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 1392000 > 1383000 -> throughput = 1383000 / 6 = 230500 byte/sec
@@ -131,7 +131,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 1191000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 < 1191000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 1392000 > 1191000 -> throughput = 1191000 / 6 = 198500 byte/sec
@@ -158,7 +158,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 775000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 < 775000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 1392000 > 775000 -> throughput = 775000 / 6 = 129166 byte/sec
@@ -261,6 +261,10 @@
         TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestTdTbfqFfMacSchedulerSuite lenaTestTdTbfqFfMacSchedulerSuite;
 
 // --------------- T E S T - C A S E   # 1 ------------------------------
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.h ns-3.38/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.h
--- ns-3.37/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.h	2023-03-16 20:54:23.784869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -66,7 +65,7 @@
     /**
      * Builds the test name string based on provided parameter values
      * \param nUser the number of UE nodes
-     * \param dist the distnace between UE nodes and eNodeB
+     * \param dist the distance between UE nodes and eNodeB
      * \returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, double dist);
@@ -82,7 +81,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lena TdTbfq Ff Mac Scheduler Test Case 2
  */
@@ -109,7 +107,7 @@
     /**
      * Builds the test name string based on provided parameter values
      * \param nUser the number of UE nodes
-     * \param dist the distnace between nodes
+     * \param dist the distance between nodes
      * \returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, std::vector<double> dist);
@@ -124,7 +122,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for TdTbfqFfMacScheduler test.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-tta-ff-mac-scheduler.cc ns-3.38/src/lte/test/lte-test-tta-ff-mac-scheduler.cc
--- ns-3.37/src/lte/test/lte-test-tta-ff-mac-scheduler.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-tta-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
@@ -169,6 +169,10 @@
     AddTestCase(new LenaTtaFfMacSchedulerTestCase(1, 100000, 0, 0, errorModel), TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestTtaFfMacSchedulerSuite lenaTestTtaFfMacSchedulerSuite;
 
 // --------------- T E S T - C A S E ------------------------------
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-tta-ff-mac-scheduler.h ns-3.38/src/lte/test/lte-test-tta-ff-mac-scheduler.h
--- ns-3.37/src/lte/test/lte-test-tta-ff-mac-scheduler.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-tta-ff-mac-scheduler.h	2023-03-16 20:54:23.784869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -62,7 +61,7 @@
     /**
      * Build name string
      * \param nUser the number of UE nodes
-     * \param dist the distnace between nodes
+     * \param dist the distance between nodes
      * \returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, double dist);
@@ -76,7 +75,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lena Test Tta Ff Mac Scheduler Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-ue-measurements.cc ns-3.38/src/lte/test/lte-test-ue-measurements.cc
--- ns-3.37/src/lte/test/lte-test-ue-measurements.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-ue-measurements.cc	2023-03-16 20:54:23.784869000 -0700
@@ -232,6 +232,10 @@
                 TestCase::EXTENSIVE);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteUeMeasurementsTestSuite lteUeMeasurementsTestSuite;
 
 /*
@@ -693,6 +697,10 @@
 
 } // end of LteUeMeasurementsPiecewiseTestSuite1::LteUeMeasurementsPiecewiseTestSuite1
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteUeMeasurementsPiecewiseTestSuite1 lteUeMeasurementsPiecewiseTestSuite1;
 
 /*
@@ -1392,6 +1400,10 @@
 
 } // end of LteUeMeasurementsPiecewiseTestSuite2::LteUeMeasurementsPiecewiseTestSuite2
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteUeMeasurementsPiecewiseTestSuite2 lteUeMeasurementsPiecewiseTestSuite2;
 
 /*
@@ -1584,7 +1596,7 @@
                  << " dB)");
 
         // verifying reported best cells
-        if (measResults.measResultListEutra.size() == 0)
+        if (measResults.measResultListEutra.empty())
         {
             NS_TEST_ASSERT_MSG_EQ(measResults.haveMeasResultNeighCells,
                                   false,
@@ -1716,6 +1728,10 @@
                 TestCase::QUICK);
 } // end of LteUeMeasurementsPiecewiseTestSuite3::LteUeMeasurementsPiecewiseTestSuite3
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteUeMeasurementsPiecewiseTestSuite3 lteUeMeasurementsPiecewiseTestSuite3;
 
 /*
@@ -1873,7 +1889,7 @@
                  << " dB)");
 
         // verifying reported best cells
-        if (measResults.measResultListEutra.size() == 0)
+        if (measResults.measResultListEutra.empty())
         {
             NS_TEST_ASSERT_MSG_EQ(measResults.haveMeasResultNeighCells,
                                   false,
@@ -2264,6 +2280,10 @@
 
 } // end of LteUeMeasurementsHandoverTestSuite::LteUeMeasurementsHandoverTestSuite
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteUeMeasurementsHandoverTestSuite lteUeMeasurementsHandoverTestSuite;
 
 /*
@@ -2497,7 +2517,7 @@
                  << " dB)");
 
         // verifying reported best cells
-        if (measResults.measResultListEutra.size() == 0)
+        if (measResults.measResultListEutra.empty())
         {
             NS_TEST_ASSERT_MSG_EQ(measResults.haveMeasResultNeighCells,
                                   false,
